# Rhizosphere

This repository contains SuperCollider code for 8-channel composition exhibited at Steklenik gallery run by CONA institute.

The rhizosphere is a “part of the phytosphere that surrounds the plant root system. Roots and micro-organisms that surround them live in symbiosis.” How to think about this complex, subterranean modular system, which is crucial for the entry into the idea of the intelligence of plants, via the medium of sound? The process of creation of 8-channel sound composition and live act deals with questions on the rise of distributed thinking in the plant world that is being reveal by certain research for quite some time. Instead of using mapping and field recordings, this work was created with the methods of subjective interpretation and plotting of emotional responses to the information and assumptions on the activity in the immediate surrounding of roots in the form of digital sound synthesis.

Root apexes have the ability of complex and diverse sensation and related responses – the system is supported by other subterranean and overground parts of the native plant that communicate in several different ways (with electrical or chemical signals). This connectivity enables adaptability of the plant in the physical sense. The plant has the ability of distinguishing between its roots and the root architecture of other individual of the same kind in spite of its modular structure without any central cognitive organs. Is this a form of self-awareness and consciousness, which presents a base for the development of an identity?

The communities of micro-organisms that live in the immediate surrounding of roots, symbiotic relationships and diverse electro-chemical communication point to the complexity of plant interactions and their decisions. Different interpretations of scientific findings and assumptions are inspiring the process of recording of sound dynamic and changing of sonic spaces in time, composition and, finally, in the echo in the space of the greenhouse, among plants.

The composition is mostly dominated by an abstract, synthetic sound flow that creates immersive and sometimes suggestive soundscapes, throbbing, rhythms and gaps in the awaiting silence that is yet again overflown with subsonic waves of high-resonating chips of digital errors.

more: http://www.steklenik.si/en/luka-princic-rhizosphere/
